#91 Sybase Tree table viwing crashes...

Squirrel SQL
closed
Core (462)
5
2015-01-08
2002-12-18
No

Hopefully this is not a bug but a feature that has not
been implemented yet. I could not find any info on this
though.

OS: RH Linux 8.0
Java: Standard Edition (build 1.4.0_02-b02)
Sybase: ASE 12.5
jConnect 4 & 5 (both fail)
SquirrelSQL: 1.1final1

Problem: Upon connection to any dabase and selecting a
table [+] for viewing I get this:
Error: TABLE: java.sql.SQLException: JZ0R2: No result
set for this query.

What's worst, the connection gets droped and have to
restart.

Anyone seen this?
Does it have a work around?

incl. Stack Trace

Thanks,

Discussion

  • Colin Bell

    Colin Bell - 2002-12-18

    Logged In: YES
    user_id=233132

    The combination of Sybase/JConnect has caused more problems
    for Squirrel than all other servers/drivers combined. Most
    problems can be worked around by changing the version of the
    jConnect driver. You say you've tried version 4 and 5 but
    have you tried 4.5 and 5.5? Several people have had problems
    with 5.5 but going back to 4.5 has solved them.

    Col

     
  • Colin Bell

    Colin Bell - 2002-12-18

    Logged In: YES
    user_id=233132

    Forgot to say that there is a known problem in
    Sybase/jConnect where it can lock up when running a query.
    The symptons are different to your problem but the
    workaround is worth a try.

    Could you try opening a connection to your Sybase server in
    Squirrel and before issuing any SQL (or displaying the
    contents of a table in the tree) go into the SQL tab in the
    session properties dialog (Session properties item on the
    Session menu) and uncheck both "Contents - limit rows"
    and "SQL - limit rows" and then try your queries.

    Col

     
  • Winston Ojeda

    Winston Ojeda - 2002-12-19

    Logged In: YES
    user_id=351116

    Hi,
    Thanks for getting back,
    It took a while but, per your driver version suggestions,
    this is what I have found...

    These work with ASE/12.0.0.5/P/SWR 10164 ROLLUP/NT (IX86)/OS
    4.0/1853/32bit/OPT/Mon May 13 10:55:29 2002:
    jConnect (TM) for JDBC(TM)/4.2(Build 551)/P/JDK11/Thu Oct 7
    18:54:52 1999
    jConnect (TM) for JDBC(TM)/4.5(Build
    3139)/P/EBF10000/JDK11/Mon Jan 7 11:22:46 2002
    jConnect (TM) for JDBC(TM)/5.2(Build
    20693)/P/EBF9007/JDK12/Mon Apr 3 12:33:02 2000
    jConnect (TM) for JDBC(TM)/5.5(Build
    25137)/P/EBF10000/JDK12/Sun Jan 6 21:57:04 2002

    These DO NOT work with ASE/12.5/SWR 9616 GA/P/NT (IX86)/OS
    4.0/main/1647/32-bit/OPT/Fri Jun 01 16:58:25 2001:
    jConnect (TM) for JDBC(TM)/4.2(Build 551)/P/JDK11/Thu Oct 7
    18:54:52 1999
    jConnect (TM) for JDBC(TM)/4.5(Build
    3139)/P/EBF10000/JDK11/Mon Jan 7 11:22:46 2002
    jConnect (TM) for JDBC(TM)/5.2(Build
    20693)/P/EBF9007/JDK12/Mon Apr 3 12:33:02 2000
    jConnect (TM) for JDBC(TM)/5.5(Build
    25137)/P/EBF10000/JDK12/Sun Jan 6 21:57:04 2002:57:04 2002

    I think you can see a pattern developing here.
    Something must be seriouly wrong with ASE 12.5 or they just
    changed things drastically.

    Looks to me that the ObjectTree is barfing because the
    result set seem to be an invalid one. Hmmm, who knows. We
    have serveral 12.0 servers but our DEVELOPMENT server is
    12.5. This is the one I can't use Squirrel on.

    I'll see if I can download the source code and write a quick
    test to see what is actually comming back if anything. I
    know there seems to be a problem in 12.5 with TEXT fields
    per some other code we wrote, but we'll see.

    Any more ideas?

     
  • Winston Ojeda

    Winston Ojeda - 2002-12-19

    Stack for Sybase problem

     
  • Colin Bell

    Colin Bell - 2002-12-21

    Logged In: YES
    user_id=233132

    It might require setting the JCONNECT_VERSION connection
    variable to 6. Unfortunately Squirrel doesn't currently
    allow you to set these variables but I'm about 50% through
    implementing this is 1.2. I'll send you a link to an alpha
    when its done and you can try iy out.

    The other possibility is the jtds JDBC driver. Its primarily
    a Microsoft SQL server driver but they say it works with
    Sybase 10, I don't know about later versions but it might be
    worth trying it out. Their homepage is
    http://jtds.sourceforge.net/

     
  • Ben Yang

    Ben Yang - 2003-04-30

    Logged In: YES
    user_id=768633

    I am having the same problem too. Is there any solution to
    this? Any help would be very helpful. Thank you very much.

     
  • Ben Yang

    Ben Yang - 2003-04-30

    Logged In: YES
    user_id=768633

    I am having the same problem too. Is there any solution to
    this? Any help would be very helpful. Thank you very much.

     
  • Ben Yang

    Ben Yang - 2003-04-30

    Logged In: YES
    user_id=768633

    I am having the same problem too. Is there any solution to
    this? Any help would be very helpful. Thank you very much.

     
  • Colin Bell

    Colin Bell - 2003-04-30

    Logged In: YES
    user_id=233132

    The first beta of 1.2 is due out in the next few weeks. It
    will allow the setting of the JCONNECT_VERSION driver
    propertie which may fix this problem.

     
  • Colin Bell

    Colin Bell - 2003-07-11

    Logged In: YES
    user_id=233132

    1.2beta1 has just been released. This allows the setting of
    connection properties. Does setting the JCONNECT_VERSION fix
    this problem?

     
  • Winston Ojeda

    Winston Ojeda - 2003-07-11

    Logged In: YES
    user_id=351116

    Well Colin, here is a little feed back on this latest beta
    regarding Sybase driver problems:

    SquirrelSQL1.2Beta1 still does not work out of the box with:
    - Adaptive Server Enterprise/12.5/SWR 9616
    However, it seems to do just fine with:
    - Adaptive Server Enterprise/12.0.0.5/P/SWR 10164
    - Adaptive Server Enterprise/12.5.0.1/EBF 10442
    - Adaptive Server Enterprise/12.5.0.3/EBF 10975
    All this using JConnect 5.5 driver.

    I don' get it. I am starting to believe this is a Sybase
    issue, not a Squirrel issue.

    The problem is still the same, blows up when trying to
    access an object tree. Namely TABLES.
    I have SquirrelSQL and JDBCDebug logs for the time that
    happened if you are interested.

    I tried setting the properties on the JDBC driver to emulate
    JConnect 4 and 3 but unless I am doing something wrong the
    new typed in setting is not being kept and it always goes
    back to the default setting.

    Let me know how else I can help.

    Winston

     
  • Colin Bell

    Colin Bell - 2003-07-12

    Logged In: YES
    user_id=233132

    I've got myself a copy of Sybase 12.5, I just need to build
    a box to install it on. I'm hoping to do this in the next
    week. Then I'll be actually able to do some testing myself.
    I'm reasonaly sure its a Sybase issue but I'd like to find a
    work around.

     
  • Ben Yang

    Ben Yang - 2004-11-03

    Logged In: YES
    user_id=768633

    Colin,

    Any news on this? I tried 1.2 still having the same problem.
    Do you find a work around? Please let me know.

     
  • Gerd Wagner

    Gerd Wagner - 2005-12-27

    Logged In: YES
    user_id=776065

    Will not be fixed in 1.1. Can't be reproduced in 2.x versions.

     
  • Gerd Wagner

    Gerd Wagner - 2005-12-27
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks